漏洞风险提示|Log4j2 远程代码执行漏洞

admin 2021年12月9日21:27:35安全漏洞评论1,448 views745字阅读2分29秒阅读模式

// 边界无限漏洞风险提示


漏洞分析

Apache Log4j2是一个基于Java的日志记录工具。该工具重写了Log4j框架,并且引入了大量丰富的特性。该日志框架被大量用于业务系统开发,用来记录日志信息。大多数情况下,开发者可能会将用户输入导致的错误信息写入日志中。此次漏洞触发条件为只要外部用户输入的数据会被日志记录,即可造成远程代码执行。

经边界无限安全攻防团队研判后,认定该漏洞影响范围极广,漏洞危害极大

防团队已经成功复现此漏洞

漏洞风险提示|Log4j2 远程代码执行漏洞


影响判断方式,用户只需排查Java应用是否引入 log4j-api log4j-core 两个jar。若存在应用使用,极大可能会受到影响。


影响范围

Apache log4j2 在 2.0 至 2.14.1 版本受影响。


解决方案

1. 官方补丁 https://github.com/apache/logging-log4j2/releases/tag/log4j-2.15.0-rc1

2. 靖云甲应用安全防护模块默认防御此漏洞。


参考资料

https://github.com/apache/logging-log4j2/releases/tag/log4j-2.15.0-rc1

靖云甲·云原生安全防护系统

靖云甲应用安全防护模块,将主动防御能力无缝融合至应用程序运行环境和开发语言中。通过对请求调用的关键函数进监听,结合应用上下文情景分析能力和强大的攻击检测引擎,可捕捉并拦截各种绕过流量检测的威胁攻击,来应对无处不在的应用漏洞与网络威胁,从而为应用程序提供全生命周期的动态安全保护。


联系方式:

邮箱:[email protected]

联系电话:010-84351519

原文始发于微信公众号(边界无限):漏洞风险提示|Log4j2 远程代码执行漏洞

特别标注: 本站(CN-SEC.COM)所有文章仅供技术研究,若将其信息做其他用途,由用户承担全部法律及连带责任,本站不承担任何法律及连带责任,请遵守中华人民共和国安全法.
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 我的微信公众号
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2021年12月9日21:27:35
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                  漏洞风险提示|Log4j2 远程代码执行漏洞 https://cn-sec.com/archives/668480.html

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: